| Home | Libraries | People | FAQ | More

## Function template erase_range

boost::algorithm::erase_range — Erase range algorithm.

## Synopsis

    // In header: <boost/algorithm/string/erase.hpp>

    template<typename SequenceT>
      void erase_range(SequenceT & Input,
                       const iterator_range< typename range_iterator< SequenceT >::type > & SearchRange);

## Description

Remove the given range from the input. The input sequence is modified in-place.

Parameters: |
`Input` | An input sequence
`SearchRange` | A range in the input to be removed